Eclipse Platform Release 3.7

## org.eclipse.debug.ui
Class EnvironmentTab.EnvironmentVariableContentProvider

    java.lang.Object
      org.eclipse.debug.ui.EnvironmentTab.EnvironmentVariableContentProvider

All Implemented Interfaces:
  IContentProvider, IStructuredContentProvider

Enclosing class:
  EnvironmentTab

    protected class EnvironmentTab.EnvironmentVariableContentProvider

extends Object
implements IStructuredContentProvider

Content provider for the environment table

Constructor Summary
`protected` `EnvironmentTab.EnvironmentVariableContentProvider()`

Method Summary
`void` `dispose()` Disposes of this content provider.
`Object[]` `getElements(Object inputElement)` Returns the elements to display in the viewer when its input is set to the given element.
`void` `inputChanged(Viewer viewer, Object oldInput, Object newInput)` Notifies this content provider that the given viewer's input has been switched to a different element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvironmentTab.EnvironmentVariableContentProvider

    protected EnvironmentTab.EnvironmentVariableContentProvider()

Method Detail

### getElements

    public Object[] getElements(Object inputElement)

  Description copied from interface: `IStructuredContentProvider`
  Returns the elements to display in the viewer when its input is set to the given element. These elements can be presented as rows in a table, items in a list, etc. The result is not modified by the viewer.

  Specified by:
    `getElements` in interface `IStructuredContentProvider`
  Parameters:
    `inputElement` - the input element
  Returns:
    the array of elements to display in the viewer

### dispose

    public void dispose()

  Description copied from interface: `IContentProvider`
  Disposes of this content provider. This is called by the viewer when it is disposed.

  The viewer should not be updated during this call, as it is in the process of being disposed.

  Specified by:
    `dispose` in interface `IContentProvider`

### inputChanged

    public void inputChanged(Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Description copied from interface: `IContentProvider`
  Notifies this content provider that the given viewer's input has been switched to a different element.

  A typical use for this method is registering the content provider as a listener to changes on the new input (using model-specific means), and deregistering the viewer from the old input. In response to these change notifications, the content provider should update the viewer (see the add, remove, update and refresh methods on the viewers).

  The viewer should not be updated during this call, as it might be in the process of being disposed.

  Specified by:
    `inputChanged` in interface `IContentProvider`
  Parameters:
    `viewer` - the viewer
    `oldInput` - the old input element, or `null` if the viewer did not previously have an input
    `newInput` - the new input element, or `null` if the viewer does not have an input

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.